# Environment Dashbaord for a release

Gets the environment dashboard for the given release

Endpoint: GET /rmg/api/release/{releaseId}/environmentDashboard
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseId` (string, required)

## Query parameters:

  - `searchTerm` (string)
    Optional search string to filter releases by name.

  - `environmentIdentifiers` (array)
    List of environment identifiers

  - `infrastructureIdentifiers` (array)
    List of infrastructure identifiers

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Response 200 fields (application/json):

  - `environments` (array, required)

  - `environments.name` (string, required)

  - `environments.identifier` (string, required)

  - `environments.projectIdentifier` (string)
    Project identifier of Environment

  - `environments.orgIdentifier` (string)
    Organization identifier of Environment

  - `environments.infrastructures` (array)
    List of traditional infrastructure deployments with their services

  - `environments.infrastructures.identifier` (string, required)
    Infrastructure identifier

  - `environments.infrastructures.name` (string, required)
    Infrastructure name

  - `environments.infrastructures.services` (array, required)
    Services deployed to this infrastructure

  - `environments.infrastructures.services.name` (string, required)

  - `environments.infrastructures.services.identifier` (string, required)

  - `environments.infrastructures.services.artifactVersion` (string)

  - `environments.infrastructures.services.orgIdentifier` (string)

  - `environments.infrastructures.services.projectIdentifier` (string)

  - `environments.infrastructures.services.scope` (string, required)
    Enum: "account", "project", "org", "unknown"

  - `environments.clusters` (array)
    List of GitOps cluster deployments with their services

  - `environments.clusters.clusterIdentifier` (string, required)
    Cluster identifier

  - `environments.clusters.agentIdentifier` (string, required)
    GitOps agent identifier

  - `environments.clusters.infraIdentifier` (string)
    Optional infrastructure identifier (if cluster is mapped to infra)

  - `environments.clusters.infraName` (string)
    Optional infrastructure name (if cluster is mapped to infra)

  - `environments.clusters.services` (array, required)
    Services deployed to this cluster

  - `environments.scope` (string, required)
    Enum: "account", "project", "org", "unknown"

  - `environments.type` (string, required)
    Enum: "PreProduction", "Production"

  - `environments.serviceInfo` (array, required)
    DEPRECATED: Use infrastructures and clusters arrays instead for complete deployment information

  - `environments.infraInfo` (object, required)
    DEPRECATED: Use infrastructures and clusters arrays instead for complete deployment information

  - `environments.infraInfo.name` (string, required)

  - `environments.infraInfo.identifier` (string, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


